Uploaded image for project: 'Hadoop Common'
  1. Hadoop Common
  2. HADOOP-10530

Make hadoop trunk build on Java7+ only

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Blocker
    • Resolution: Fixed
    • Affects Version/s: 2.6.0, 3.0.0-alpha1
    • Fix Version/s: 2.7.0
    • Component/s: build
    • Labels:
      None
    • Environment:

      Java 1.7+

    • Target Version/s:
    • Hadoop Flags:
      Incompatible change

      Description

      As discussed on hadoop-common, hadoop 3 is envisaged to be Java7+ only -this JIRA covers switching the build for this

      1. maven enforcer plugin to set Java version = [1.7)
      2. compiler to set language to java 1.7

        Attachments

        1. HADOOP-10530-001.patch
          3 kB
          Steve Loughran
        2. HADOOP-10530-002.patch
          3 kB
          Steve Loughran
        3. Screen Shot 2014-09-20 at 18.09.05.png
          200 kB
          Steve Loughran
        4. HADOOP-10530-003.patch
          3 kB
          Steve Loughran
        5. HADOOP-10530-004.patch
          4 kB
          Steve Loughran
        6. HADOOP-10530-debug.000.patch
          4 kB
          Haohui Mai
        7. HADOOP-10530-005.patch
          4 kB
          Steve Loughran

          Issue Links

            Activity

              People

              • Assignee:
                stevel@apache.org Steve Loughran
                Reporter:
                stevel@apache.org Steve Loughran
              • Votes:
                2 Vote for this issue
                Watchers:
                19 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: